%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%    Instituto Nacional de Pesquisas Espaciais - INPE      %%
%%  Programa de Ps-Graduao em Computao Aplicada - CAP  %%
%%   X - WorkShop do Curso de Computao Aplicada - WorCAP  %%
%%                                                          %%
%%  Editado por:  Fbio Dall Cortivo                        %%
%%                So Jos dos Campos - SP                  %%
%%                23 de abril de 2010                       %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\fileversion{v. 1.0}            %%
\def\filedate{2010/04/30}           %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NeedsTeXFormat{LaTeX2e}[\filedate] %%
\ProvidesClass{worcap_poster}[\filedate]   %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\typeout{}\typeout{}\typeout{}%          %%
\typeout{Package worcap_poster\space%    %%
         \fileversion\space%             %%
         \filedate\space%                %%
         (Fabio Dall Cortivo)}%          %%
\typeout{}\typeout{}\typeout{}%          %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Chamando classe a0poster
\LoadClass[a0,portrait]{a0poster}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Chamada de pacotes de estilo
\usepackage[latin1]{inputenc}
\usepackage[brazil]{babel}
\usepackage[dvips]{epsfig}
\usepackage{ifthen,times,graphicx}
\usepackage{multicol,ae,subfigure}
\usepackage{amssymb,amsthm,setspace}
\usepackage{amsmath,amsfonts,textcomp}
\usepackage{txfonts}
\usepackage{color}

\makeatletter
  \renewcommand \rmdefault {ptm}

  \setlength{\columnsep}{2.5cm}
  \setlength{\columnseprule}{0pt}
  \setlength{\parindent}{0.0cm}

  \newenvironment{pcoluna}[1]{
    \begin{minipage}{#1\textwidth}
      \begin{center}
        }
        {
      \end{center}
    \end{minipage}
  }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Definindo o cabecalho do poster
  \newcommand{\cabecalho}[5]{
    \begin{center}\hspace*{-1cm}
      \rule{\textwidth}{1mm}\vspace*{1cm}
      \begin{pcoluna}{1}
%       LOGO DO INPE
        \begin{minipage}[c]{0.1\textwidth}
          \begin{center}
            \includegraphics[width=8cm]{\logoinpe}
          \end{center}
        \end{minipage}
%       TITULO, AUTOR, INSTITUICAO E E-MAIL
        \begin{minipage}[c]{0.69\textwidth}
          \begin{center}
            {{\textcolor[rgb]{0,0,0.61}{\textbf{\Huge #1}}}}\\[15mm]
            {\LARGE #2}\\[7.5mm]
            {\Large #3}\\[7.5mm]
            {\Large #4}\\[5mm]
            {\large email: \textrm{#5}}
          \end{center}
        \end{minipage}
%       LOGO DO FOMENTO
        \begin{minipage}[c]{0.1\textwidth}
          \begin{center}
            \includegraphics[width=12cm]{\logofomento}
          \end{center}
        \end{minipage}\vspace*{1cm}
      \end{pcoluna}\hspace*{-1cm}
      \rule{\textwidth}{1mm}
    \end{center}
  }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\rodape}[2]{\begin{center}\vfill
  \rule{\textwidth}{1mm}\begin{pcoluna}{1}
    \begin{minipage}[c]{0.9\textwidth}
	\begin{center}
	  \textbf{#1}
	\end{center}
    \end{minipage}
    \begin{minipage}[c]{7cm}
    \includegraphics[width=7cm,height=3cm]{#2}
    \end{minipage}\end{pcoluna}
  \end{center}
}
%   Nota de rodape com informacoes pessoais
%  \providecommand{\rodape}[1][{
%    \textbf{\worcap }}]
%      {
%        \vfill
 %       \rule{\textwidth}{2mm}
 %         \begin{center}
 %           \small #1\\\hspace*{70cm}\includegraphics[width=7cm,height=3cm]{\logoverno}
 %         \end{center}  
 % }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%       Definindo o ambiente do texto do poster
  \newenvironment{poster}{\vspace*{2cm}\Large%\footnotesize
    \begin{center}\hspace*{-1.2cm}
      \begin{minipage}[c]{0.98\textwidth}
        \begin{multicols}{3}
        }
        {
        \end{multicols}\vspace*{1cm}
      \end{minipage}
    \end{center}
  }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Definindo cada secao do poster (titulo)
  \newcommand{\secao}[1]{
    \begin{center}
      \Huge{\textcolor[rgb]{0,0,.61}{\textbf{#1}}}
    \end{center}\vspace*{1cm}
  }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Definindo subsecao do poster (subtitulo)
  \newcommand{\subsecao}[1]{
    \begin{center}
      \huge{\textcolor[rgb]{0,0,0.61}{\textbf{#1}}}
    \end{center}\vspace*{0.5cm}
  }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Definindo secao agradecimento
  \newcommand{\agradecimento}{\vspace*{0.5cm}
    \leftline{
      \LARGE{\textbf{\hspace*{0cm}Agradecimentos}}
    }\vspace*{0.5cm}
  }


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Definindo comando para inserir figuras
  \newcommand{\minhafigura}[4][0]{
    \begin{center}
      \vspace{1.5cm}
      \includegraphics[width=#3cm,height=#4cm,angle=#1]{#2}
      \nobreak\medskip
    \end{center}
  }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Definindo comando para legenda das figuras
  \setcounter{figure}{1}
  \newcommand{\legendafigura}[1]{
    \vspace{0.5cm}
    \begin{quote}{
      {\textsc Figura} \arabic{figure}: #1}
    \end{quote}
    \vspace{1cm}
    \stepcounter{figure}
  }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Definindo comando para legenda de tabelas
  \setcounter{table}{1}
  \newcommand{\legendatabela}[1]{
    \vspace{0.5cm}
    \begin{quote}{
      {\textsc Tabela} \arabic{table}: #1}
    \end{quote}
    \vspace{1cm}
    \stepcounter{table}
  }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Definindo marcador de listas
  \newcounter{contlista}
  \renewenvironment{itemize}{
    \begin{list}{
      $\bullet$\hspace*{8pt}}{
      \usecounter{contlista}
      \setlength{\itemindent}{1.5ex}}}{
    \end{list}
  }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Definindo secao de referencias bibliofraficas
  \providecommand{\references}{}
  \renewcommand{\references}{\small \bibliographystyle{plain}}


\makeatother